package com.bjtdba.userCenter.vo;

import com.bjtdba.utils.DateUtils;

import java.util.Date;

public class UserAddressVo {
    /**
     * 用户地址id
     */
    private Integer address_id;
    /**
     * 用户id
     */
    private Long uid;
    /**
     * 收货人姓名
     */
    private String real_name;
    /**
     * 收货人电话
     */
    private String phone;
    /**
     * 收货人所在省
     */
    private String province;
    /**
     * 收货人所在市
     */
    private String city;
    /**
     * 城市id
     */
    private Integer city_id;
    /**
     * 收货人所在区
     */
    private String district;
    /**
     * 收货人详细地址
     */
    private String detail;
    /**
     * 邮编
     */
    private Long post_code;

    /**
     * 是否默认
     */
    private Integer is_default;
    /**
     * 添加时间
     */
    private Date create_time;
    /**
     * 地址id（regions）
     */
    private String code_list;

    public Integer getAddress_id() {
        return address_id;
    }

    public void setAddress_id(Integer address_id) {
        this.address_id = address_id;
    }

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public String getReal_name() {
        return real_name;
    }

    public void setReal_name(String real_name) {
        this.real_name = real_name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public Integer getCity_id() {
        return city_id;
    }

    public void setCity_id(Integer city_id) {
        this.city_id = city_id;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public Long getPost_code() {
        return post_code;
    }

    public void setPost_code(Long post_code) {
        this.post_code = post_code;
    }

    public Integer getIs_default() {
        return is_default;
    }

    public void setIs_default(Integer is_default) {
        this.is_default = is_default;
    }

    public String getCreate_time() {
        return DateUtils.formatDate(create_time,"yyyy-MM-dd HH:mm:ss") ;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public String getCode_list() {
        return code_list;
    }

    public void setCode_list(String code_list) {
        this.code_list = code_list;
    }
}
